
Figure - Bug #117975
【IOVDEV-28227】【VC1】【台架/EE环境】【LVC1LABCAR0000555】【副屏遥控器】副屏遥控器出现白屏
后，重新连接无法与副屏建立连接
2023-05-16 20:32 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-16

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0094.C103_userdebug

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-19

Test Type: User Experience Root cause: 连接稳定性问题

Description

IDCM：01.00.0094.C103_userdebug

手机号：15101135968

APP版本：V5.23.0_EE_05151535

问题时间：2023/5/16/09:13

问题车辆: LVC1LABCAR0000555

测试手机：iPhone 11

前提条件：车辆上电&手机与副屏保持统一网络环境

测试环境：EE

操作步骤：点击进入遥控器，关闭WiFi，打开WiFi，正常使用一段时间后，提示“连接已断开”；点击重新连接后出现白屏现象，之后

返回HiPhi页面，多次点击进入遥控器，均无法建立连接

期望结果：遥控器正常使用，正常建立连接

Related issues:

Related to Figure - Bug # 117979: 【IOVDEV-26850】 【内部】【VC1... CLOSED 2023-05-16

History

#1 - 2023-05-16 20:34 - 物联网测试组_CDTS  唐霞 

根据票上的视频

进入副屏遥控页面  09:12  有个一闪而过的弹框   后续操作中 连接断开后  再次重连  白屏

根据日志分析

进入页面后 副屏SDK获取IP进行连接  连接失败   后续 连接成功

2023-05-16 09:12:07.484 queue[com.apple.main-thread] thread[12514657,]

[PRODUCE][通用] -[HHScreenVC1Controller connectServerIP] line93

副屏遥控器-ServerIPList

2023-05-16 09:12:07.900 queue[com.apple.root.default-qos] thread[12517045,]

[PRODUCE][通用] -[HHScreenVC1Controller connectStateCallBack:] line175

副屏遥控器-连接失败

2023-05-16 09:12:08.097 queue[com.apple.root.default-qos] thread[12517042,]
[PRODUCE][通用] -[HHScreenVC1Controller connectStateCallBack:] line131

副屏遥控器-连接成功

后续操作中连接断开   重新发起连接

2023-05-16 09:12:58.597 queue[com.apple.main-thread] thread[12514657,]

[PRODUCE][通用] -[HHScreenVC1Controller connectStateCallBack:]_block_invoke_2 line164

副屏遥控器-重新连接

副屏遥控器-Server connect failed, please try again later.-code=60

2023-05-16 09:12:59.467 queue[com.apple.root.default-qos] thread[12517656,]

[PRODUCE][通用] -[HHScreenVC1Controller connectStateCallBack:] line175

副屏遥控器-连接失败

连接失败   导致白屏   白屏已处理

需要副屏SDK分析为啥连接失败

#2 - 2023-05-17 10:12 - CD FW-廖涛

- Category set to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-鲁凯峰 to CD FW-廖涛

#3 - 2023-05-18 15:06 - CD FW-廖涛

- % Done changed from 0 to 40

■ My analysis

目前连接流程为：

App 调用 SDK 发送广播消息，然后开启广播消息回复监听，副屏在收到广播消息后回复给发送方，App 收到回复后，使用 IP 地址创建 Socket 并发送连接

消息。

通过视频现象和日志分析，由于网络切换后网络不稳定的不稳定，导致 Socket 连接失败，所以发送广播获取副屏 IP 失败，并且达到 App 自己设置的超时

时间，所以报连接失败。

根据和 App 开发沟通，目前的连接超时为 App 自定义（5s），在网络不稳定的情况下，出现超时的情况属于正常情况。SDK 会进行连接优化，且正式版

本副屏 IP 是固定的，不需要获取副屏 IP 的环节。

日志如下：

2023-05-16 09:12:59.458 queue[com.apple.root.default-qos] thread[12517656,] 

[PRODUCE][通用] -[HHScreenVC1Controller logOutput:]  line251

副屏遥控器SDK日志收集 Socket 86 connect failed.

2023-05-16 09:12:59.461 queue[com.apple.root.default-qos] thread[12517656,] 

[PRODUCE][通用] -[HHScreenVC1Controller logOutput:]  line251

副屏遥控器SDK日志收集 Socket 86 connect failed.

2023-05-16 09:12:59.463 queue[com.apple.root.default-qos] thread[12517656,] 

[PRODUCE][通用] -[HHScreenVC1Controller logOutput:]  line251

副屏遥控器SDK日志收集 Socket 86 connect failed.

2023-05-16 09:12:59.465 queue[com.apple.root.default-qos] thread[12517656,] 

[PRODUCE][通用] -[HHScreenVC1Controller logOutput:]  line251

副屏遥控器SDK日志收集 Socket 86 connect failed.
#4 - 2023-05-18 20:52 - CDTS-TEST 周婷

- Priority changed from Normal to High

- Severity changed from Normal to Major

#5 - 2023-05-19 10:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201135 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Improves heartbeat and connect stability.TC-RID: 1201-0206002IssueID: TS-R-BUG-117975Change-Id:

If2a2cb075510ca34c6e5682c0a22041bb2e913dd

#6 - 2023-05-19 11:43 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- % Done changed from 40 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-19

- Root cause set to 连接稳定性问题

■ Current conclusion

问题已处理，遥控器 iOS SDK 已更新并提供给客户。

■ Next action

测试确认并同步客户。

#7 - 2023-05-23 15:08 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#8 - 2023-05-23 15:08 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

20230516-095843.mp4 8.72 MB 2023-05-16 物联网测试组_CDTS  唐霞 

20230516-09.06.46.txt 1.26 MB 2023-05-16 物联网测试组_CDTS  唐霞 

2025-07-04 3/3


